export default ({
    logo = "https://apro.at/pix/logo1.png",
    brand = "Brand",
    productName = "Product",
    backgroundColor = "black",
    version = "1.0.0",
}) => `
<html>
<head>
  <style>
    .flex-container {
      display: flex;
      width: 100%;
      height: 100%;
      background-color: #303030;
      color: white;
    }

    .brandNameArea {
      flex: 33;
      font-size: 15px;
      align-items: center;
      justify-content: center;
      align-self: flex-end;
      font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
      "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    }

    .productArea {
      flex: 33;
      margin: 10px;
      padding: 20px;
      font-size: 30px;
      display: flex;
      flex-direction: column;
    }

    .versionArea {
      flex: 33;
      font-size: 15px;
      align-items: center;
      justify-content: center;
      align-self: flex-end;
      text-align: right;
      font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
      "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    }

    .product {
      color: white;
      display: flex;
      flex: 50;
      align-items: flex-end;
      justify-content: center;
      font-weight: 400;
      font-size: 65px;
      font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
      "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    }

    .spinning {
      color: white;
      display: flex;
      flex: 50;
      align-items: flex-start;
      justify-content: center;
      font-weight: 400;
      font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
      "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    }

    .imageDiv {
      color: white;
      display: flex;
      flex: 55;
      align-items: center;
      justify-content: center;
      font-weight: 400;
      font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
      "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    }

    .image {
      width: 70%;
      margin-left: 5%;
      -webkit-filter: grayscale(100%) brightness(5);
      filter: grayscale(100%) brightness(5);
    }

    .dot {
      width: 4px;
      height: 4px;
      left: -20%;
      transform: translateY(40px);
      position: absolute;
      margin: auto;
      border-radius: 5px;
      background: white;
    }
    #dot1 {
      animation: dotslide 2.8s infinite cubic-bezier(0.2, .8, .8, 0.2);
    }
    #dot2 {
      animation: dotslide 2.8s .2s infinite cubic-bezier(0.2, .8, .8, 0.2);
    }
    #dot3 {
      animation: dotslide 2.8s .4s infinite cubic-bezier(0.2, .8, .8, 0.2);
    }
    #dot4 {
      animation: dotslide 2.8s .6s infinite cubic-bezier(0.2, .8, .8, 0.2);
    }
    #dot5 {
      animation: dotslide 2.8s .8s infinite cubic-bezier(0.2, .8, .8, 0.2);
    }

    @keyframes dotslide {
      0% {
        left: -0%;
      }
      100% {
        left: 90%;
      }
    }
  </style>
</head>
  <body class="body" style="background: ${backgroundColor}">
    <div class="flex-container" style="background: ${backgroundColor}">
      <div class="brandNameArea">${brand}</div>
      <div class="productArea">
        <div class="product">${productName}</div>
        <div class="spinning">
          <div class="dot" id="dot1"></div>
          <div class="dot" id="dot2"></div>
          <div class="dot" id="dot3"></div>
          <div class="dot" id="dot4"></div>
          <div class="dot" id="dot5"></div>
        </div>
        <!--<div class="imageDiv">
          <img class="image" src="${logo}" />
        </div>-->
      </div>
      <div class="versionArea">${version}</div>
    </div>
  </body>
</html>
`;
